/*******************************************************************************
 * Copyright (c) 2015 ALL4TEC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Jonathan Dumont (ALL4TEC) - initial API and implementation
 ******************************************************************************/
package org.polarsys.esf.core.common.ui.adapter;

import org.eclipse.ui.IPartListener;
import org.eclipse.ui.IWorkbenchPart;


/**
 * A default implementation of the <code>IPartListener</code> interface.
 * 
 * @author  $Author: jdumont $
 * @version $Revision: 83 $
 */
public class PartListenerAdapter implements IPartListener {
    
    /**
     * Default constructor.
     */
    public PartListenerAdapter() {
        // Nothing to do
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void partActivated(final IWorkbenchPart pPart) {
         // Not implemented
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void partBroughtToTop(final IWorkbenchPart pPart) {
        // Not implemented
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void partClosed(final IWorkbenchPart pPart) {
        // Not implemented
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void partDeactivated(final IWorkbenchPart pPart) {
        // Not implemented
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public void partOpened(final IWorkbenchPart pPart) {
        // Not implemented
    }
}
