/*******************************************************************************
 * Copyright (c) 2015 ALL4TEC.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Jonathan Dumont (ALL4TEC) - initial API and implementation
 ******************************************************************************/
package org.polarsys.esf.core.common.ui.filter;

import org.eclipse.ui.IWorkbenchPart;


/**
 * Interface for all the workbench parts which are listening to the changes on the filter text box.
 * 
 * @author  $Author: jdumont $
 * @version $Revision: 83 $
 */
public interface IFilterPartListener extends IWorkbenchPart {

    /**
     * Method called when the filter text changed.
     * 
     * @param pText The new filter text
     */
    void filterTextChanged(String pText);
}
